UbixOS V2 2.0

Macros | Functions | Variables
timeouts.c File Reference
`#include "net/opt.h"`
`#include "net/timeouts.h"`
`#include "net/priv/tcp_priv.h"`
`#include "net/def.h"`
`#include "net/memp.h"`
`#include "net/priv/tcpip_priv.h"`
`#include "net/ip4_frag.h"`
`#include "net/etharp.h"`
`#include "net/dhcp.h"`
`#include "net/autoip.h"`
`#include "net/igmp.h"`
`#include "net/dns.h"`
`#include "net/nd6.h"`
`#include "net/ip6_frag.h"`
`#include "net/mld6.h"`
`#include "net/sys.h"`
`#include "net/pbuf.h"`
Include dependency graph for timeouts.c:

Go to the source code of this file.

## Macros
#define | HANDLER(x) x

## Functions
void | tcp_timer_needed (void)

## Variables
const struct lwip_cyclic_timer | lwip_cyclic_timers []

## Detailed Description

Stack-internal timers implementation. This file includes timer callbacks for stack-internal timers as well as functions to set up or stop timers and check for expired timers.

Definition in file timeouts.c.

## Macro Definition Documentation

## ◆ HANDLER

#define HANDLER | ( |  | x | ) | x

Definition at line 66 of file timeouts.c.

## Function Documentation

## ◆ tcp_timer_needed()

void tcp_timer_needed | ( | void |  | ) |

Definition at line 430 of file timeouts.c.

## Variable Documentation

## ◆ lwip_cyclic_timers

const struct lwip_cyclic_timer lwip_cyclic_timers[]

This array contains all stack-internal cyclic timers. To get the number of timers, use LWIP_ARRAYSIZE()

Definition at line 71 of file timeouts.c.